import { computed } from "vue";
import { useUserStoreHook } from "/@/store/modules/user";

export function useUserInfo() {
  const userStore = useUserStoreHook();

  const isSuperUser = computed(() => userStore.isSuperUser);

  return {
    isSuperUser
  };
}
