import { FormConfig } from "/@/components/PageSearch";
import { INV_OPEN_STATUS } from "/@/utils/details/inv-open";

const searchFormConfig: FormConfig = {
  colLayout: { span: 8 },
  formItems: [
    {
      field: "buyer_name",
      type: "input",
      placeholder: "客户名称"
    },
    {
      field: "status",
      type: "select",
      placeholder: "状态",
      options: INV_OPEN_STATUS
    }
  ]
};

export default searchFormConfig;
