import { ContentConfig } from "/@/components/PageContent";
import { httpList, httpDelete } from "/@/api/system/updates";

const columns = [
  {
    type: "expand",
    slot: "expand"
  },
  {
    label: "版本号",
    prop: "version",
    minWidth: 180
  },
  {
    label: "更新模块",
    prop: "module",
    minWidth: 180
  },
  {
    label: "更新时间",
    prop: "addtime",
    minWidth: 180
  },
  {
    label: "操作",
    fixed: "right",
    width: 120,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "版本更新",
  columns,
  isTree: true,
  apis: {
    httpList,
    httpDelete,
    httpAdd: true,
    httpUpdate: true
  }
};

export default contentConfig;
